FreeMat

- Main Page
- Related Pages

vtkPolyDataContourLineInterpolator

Section: Visualization Toolkit Widget Classes

# Usage

vtkPolyDataContourLineInterpolator is an abstract base class for contour line interpolators that interpolate on polygonal data.

To create an instance of class vtkPolyDataContourLineInterpolator, simply invoke its constructor as follows

      obj = vtkPolyDataContourLineInterpolator

# Methods

The class vtkPolyDataContourLineInterpolator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolyDataContourLineInterpolator class.

- `string = obj.GetClassName ()` - Standard methods for instances of this class.
- `int = obj.IsA (string name)` - Standard methods for instances of this class.
- `vtkPolyDataContourLineInterpolator = obj.NewInstance ()` - Standard methods for instances of this class.
- `vtkPolyDataContourLineInterpolator = obj.SafeDownCast (vtkObject o)` - Standard methods for instances of this class.
- `int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)` - Subclasses that wish to interpolate a line segment must implement this. For instance vtkBezierContourLineInterpolator adds nodes between idx1 and idx2, that allow the contour to adhere to a bezier curve.
- `int = obj.UpdateNode (vtkRenderer , vtkContourRepresentation , double , int )` - The interpolator is given a chance to update the node. vtkImageContourLineInterpolator updates the idx'th node in the contour, so it automatically sticks to edges in the vicinity as the user constructs the contour. Returns 0 if the node (world position) is unchanged.
- `vtkPolyDataCollection = obj.GetPolys ()` - Be sure to add polydata on which you wish to place points to this list or they will not be considered for placement.